Skip to content

Bank account movement

Request

Retrieves a report detailing the movement descriptions for a fund's bank accounts within a specified date range.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
Query
startDatestring, (date)

The start date to retrieve the data for

Example:startDate=2024-07-01
endDatestring, (date)

The end date to retrieve the data for

Example:endDate=2025-06-30
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/accounting-reports/bank-account-movement-descriptions?startDate=2024-07-01&endDate=2025-06-30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
ErrorsArray of objectsrequired
Dataobjectrequired
Response
{ "Data": { "FundCode": "demo-fund", "FundName": "DEMO_SMSF_2025", "Period": { "StartPeriodDate": "2025-01-01", "EndPeriodDate": "2025-01-31", "IsEmpty": false, "IsPopulated": true, "NumberOfDaysContained": 30, "MovementDescriptions": [ { "PortfolioName": "Growth Portfolio", "BankAccountDetails": [ { "OpeningBalance": 150000.75, "ClosingBalance": 152000, "OpeningBalanceDate": "2025-01-01", "CurrencyCode": "AUD", "AccountBSB": null, "AccountNumber": null, "AccountCode": "001.BACCT", "AccountDescription": "Main Operating Account", "Status": "Active", "Transactions": [null] } ] } ] } }, "Errors": [ { "Code": "string", "Message": "string" } ] }